Create a video
POST
/videosCreate a new video generation job from a prompt and optional reference assets.
Create a video
curl https://api.tpg-oai.studydeckedu.com/v1/videos \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-F "model=sora-2" \
-F "prompt=A calico cat playing a piano on stage"
{
"id": "video_123",
"object": "video",
"model": "sora-2",
"status": "queued",
"progress": 0,
"created_at": 1712697600,
"size": "1024x1792",
"seconds": "8",
"prompt": "A calico cat playing a piano on stage",
"completed_at": null,
"expires_at": null,
"error": null,
"remixed_from_video_id": null
}
Returns Examples
{
"id": "video_123",
"object": "video",
"model": "sora-2",
"status": "queued",
"progress": 0,
"created_at": 1712697600,
"size": "1024x1792",
"seconds": "8",
"prompt": "A calico cat playing a piano on stage",
"completed_at": null,
"expires_at": null,
"error": null,
"remixed_from_video_id": null
}